# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'red_matryoshka/version'

Gem::Specification.new do |spec|
  spec.name          = "red_matryoshka"
  spec.version       = RedMatryoshka::VERSION
  spec.authors       = ["Charles Lalonde"]
  spec.email         = ["charles@unsplash.com"]

  spec.summary       = %q{Russian dolling cache style in redis}
  spec.homepage      = "https://github.com/unsplash/red_matryoshka"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 2.1.5"

  spec.add_dependency "redis", "~>3.2"

  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "mock_redis", "~> 0.16.1"
end